Bug 1013823 - extlinux missing when running livecd-iso-to-disk
extlinux missing when running livecd-iso-to-disk
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: livecd-tools (Show other bugs)
6.4
Unspecified Unspecified
urgent Severity urgent
: rc
: ---
Assigned To: Brian Lane
Release Test Team
: ZStream
Depends On:
Blocks: 1013828 1061794
  Show dependency treegraph
 
Reported: 2013-09-30 16:47 EDT by Joey Boggs
Modified: 2014-10-22 03:15 EDT (History)
10 users (show)

See Also:
Fixed In Version: livecd-tools-13.4.1-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1013828 (view as bug list)
Environment:
Last Closed: 2014-10-22 03:15:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joey Boggs 2013-09-30 16:47:58 EDT
Wehn running livecd-iso-to-disk on a rhevh iso an error message for extlinux missing is seen on screen. As a result the usb drive is unbootable.

livecd-tools-13.4.3-1.el6.x86_64

livecd-iso-to-disk --format --reset-mbr rhev-hypervisor6-6.5-20130725.0.el6.iso /dev/sdc 
Verifying image...
/root/rhev-hypervisor6-6.5-20130725.0.auto1836.el6.iso:   f9de10756f93f35e3c07242a6aed54e6
Fragment sums: aa6ed5aabec5e5227d6e5846bc9191c2cdb6a1dd9a324cf5d41fc5d5fa63
Fragment count: 20
Press [Esc] to abort check.
Checking: 100.0%

The media check is complete, the result is: PASS.

It is OK to use this media.
WARNING: THIS WILL DESTROY ANY DATA ON /dev/sdc!!!
Press Enter to continue or ctrl-c to abort

wipefs: WARNING: /dev/sdc: appears to contain 'dos' partition table
Waiting for devices to settle...
mke2fs 1.41.12 (17-May-2010)
Filesystem label=LIVE
OS type: Linux
Block size=4096 (log=2)
Fragment size=4096 (log=2)
Stride=0 blocks, Stripe width=0 blocks
245280 inodes, 979968 blocks
48998 blocks (5.00%) reserved for the super user
First data block=0
Maximum filesystem blocks=1006632960
30 block groups
32768 blocks per group, 32768 fragments per group
8176 inodes per group
Superblock backups stored on blocks: 
	32768, 98304, 163840, 229376, 294912, 819200, 884736

Writing inode tables: done                            
Creating journal (16384 blocks): done
Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 39 mounts or
180 days, whichever comes first.  Use tune2fs -c or -i to override.
Copying live image to USB stick
squashfs.img
   154726400 100%  119.26MB/s    0:00:01 (xfer#1, to-check=0/1)

sent 154745361 bytes  received 31 bytes  61898156.80 bytes/sec
total size is 154726400  speedup is 1.00
osmin.img
        4096 100%    0.00kB/s    0:00:00 (xfer#1, to-check=0/1)

sent 4169 bytes  received 31 bytes  8400.00 bytes/sec
total size is 4096  speedup is 0.98
Updating boot config file
Installing boot loader
/usr/bin/livecd-iso-to-disk: line 970: extlinux: command not found
USB stick set up as live image!
Comment 1 Mike Burns 2013-10-01 08:03:00 EDT
Additional information: 

syslinux-extlinux is shipped in optional channels today.
livecd-tools does *not* require extlinux, but the tooling fails without the extlinux package installed.

Options as I see it:

Fix livecd-tools so that it works without extlinux (probably too big a change for 6.5/6.4.z

update 6.4.z livecd-tools so that it requires syslinux-extlinux and also ship syslinux-extlinux in the RHEV-H channels alongside livecd-tools.

Document that people need to enable the Optional Channel and manually install the package

Don't allow people to use USB to install RHEV-H <-- not really an option...

Note You need to log in before you can comment on or make changes to this bug.